<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('service_subscriptions', function (Blueprint $table) {
            $table->date('renewal_due_date')->nullable()->after('discount');
            $table->unsignedBigInteger('renewal_amount')->nullable()->after('renewal_due_date');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('service_subscriptions', function (Blueprint $table) {
            $table->dropColumn(['renewal_due_date', 'renewal_amount']);
        });
    }
};
